Create Refund
Intent
Creates a refund from the values supplied in the request.
When to call it
Call this when your application has collected the required values and is ready to create a refund.
Access boundary
Authorize the request with a token that carries refunds:write.
Successful result
A successful request returns 201. The response schema below defines the body your integration receives.
Operational notes
Create a refund.
Scopes: refunds:write
Authorizations
You can generate an Organization Access Token from your organization's settings.
Body
Reason for the refund.
duplicate, fraudulent, customer_request, service_disruption, satisfaction_guarantee, other Amount to refund in cents. Minimum is 1.
Key-value object allowing you to store additional information.
The key must be a string with a maximum length of 40 characters. The value must be either:
- A string with a maximum length of 500 characters
- An integer
- A floating-point number
- A boolean
You can store up to 50 key-value pairs.
An internal comment about the refund.
Should this refund trigger the associated customer benefits to be revoked?
Note:
Only allowed in case the order is a one-time purchase.
Subscriptions automatically revoke customer benefits once the
subscription itself is revoked, i.e fully canceled.
Response
Refund created.
The time Ruba created this record.
The time this record last changed.
The stable identifier for this record.
pending, succeeded, failed, canceled duplicate, fraudulent, customer_request, service_disruption, satisfaction_guarantee, dispute_prevention, other Dispute associated with a refund, in case we prevented a dispute by issuing a refund.